component: DiagnosticComponent
proto_imports:
  - vehicle/orchestration/diagnostics/orchestration_diagnostics.proto
metric: zoox::diag::EmptyMetric
namespace: zoox::orchestration
faults:
    # TODO(SWAT-2969): NoGo triggers for orchestration faults
  - id: 1
    name: Overdue
    severity: WARNING
    description: Actor instance status update is overdue. This fault is defined prematurely, and it should not yet appear in diagnostic timelines.
    freeze_frame: zoox.orchestration.ActorControlFreezeFrame
  - id: 2
    name: Aborted
    severity: WARNING
    description: Actor instance terminated abnormally. Check faults for the associated rendition group.
    freeze_frame: zoox.orchestration.ActorControlFreezeFrame
    # TODO(SWAT-4383): Fault should be an ERROR.
  - id: 3
    name: FailedToStop
    severity: WARNING
    description: The supervisor failed to send stop signal to an actor. Check faults for the associated rendition group.
    freeze_frame: zoox.orchestration.SupervisorFreezeFrame
    # TODO(SWAT-4383): Fault should be an ERROR.
  - id: 4
    name: FailedToStart
    severity: WARNING
    description: The supervisor failed to start an actor. Check faults for the associated rendition group.
    freeze_frame: zoox.orchestration.SupervisorFreezeFrame
    # TODO(SWAT-4383): Fault should be an ERROR.
  - id: 5
    name: MaxLogRateExceeded
    severity: WARNING
    description: Actor instance writes text logs too frequently. Stop operations if condition persists.
    freeze_frame: zoox.orchestration.ActorControlFreezeFrame

